Vla-get-lastheight

提供:GizmoLabs - だいたい CAD LISP なサイト
2016年1月28日 (木) 16:07時点におけるGizmon (トーク | 投稿記録)による版 (ページの作成:「{{AutoLISP}} ; 構文 : (vla-get-lastheight ''vla-object'' ) ; 機能 : 最後に使用された文字高さを取得する。 ; 引数 :* vla-object … TextStyle...」)
(差分) ← 古い版 | 最新版 (差分) | 新しい版 → (差分)
構文
(vla-get-lastheight vla-object )


機能
最後に使用された文字高さを取得する。


引数
  • vla-object … TextStyle の VLAオブジェクト


戻り値
文字スタイルで最後に使用された文字高さ。


サンプル
(vl-load-com)
(defun c:Example_LastHeight()
    ;; LastHeight の現在の値を変更するサンプル。
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    (setq txtStyleObj (vla-get-ActiveTextStyle doc))
    
    ;; LastHeight プロパティを取得
    ;; Retrieve current LastHeight property
    (setq currHeight (vla-get-LastHeight txtStyleObj))
    (alert (strcat "LastHeight プロパティ値は " (rtos currHeight 2)))
    
    ;; LastHeight プロパティを変更
    (vla-put-LastHeight txtStyleObj 4)
    
    ;; LastHeight プロパティを取得
    (setq newHeight (vla-get-LastHeight txtStyleObj))
    (alert (strcat "新しいLastHeight プロパティ値は  " (rtos newHeight 2)))
    
    ;; 戻す
    (vla-put-LastHeight txtStyleObj currHeight)
    (alert (strcat "LastHeight プロパティ値を次にの戻します " (rtos currHeight 2)))
)


関連事項